<?php if (!defined('PmWiki')) exit();

/*	=== Bloge: Comments group customizations ===
 *	Copyright 2009 Eemeli Aro <eemeli@gmail.com>
 *
 *	This is a part of the Bloge bundle of recipes.
 *	For more information, please see the online documentation at
 *		http://www.pmwiki.org/wiki/Cookbook/Bloge
 */

## Bloge-UrlApprove
if (IsEnabled($EnableBlogeUrlApprove,1)) include_once("$FarmD/cookbook/bloge-urlapprove.php");

if (isset($_POST['author'])) $_POST['author'] = str_replace('/\s/', '', $_POST['author']);
if (empty($_POST['author'])) $Author = PageVar($pagename,'$LastModifiedBy');

if (empty($AuthId)) array_unshift($EditFunctions,'BlogeCommentFilter');

function BlogeCommentFilter($pagename, &$page, &$new) {
	global $PmFormPostPatterns, $Author, $MessagesFmt, $EnablePost, $BlogeAuthorReservedFmt;
	SDV($BlogeAuthorReservedFmt, "<h3 class='wikimessage'>$[The author name \"$Author\" is reserved.]</h3>");
	SDV($PmFormPostPatterns, array(
		'/\\(:/' => '( :',
		'/:\\)/' => ': )',
		'/\\$:/' => '$ :'));

	$new = preg_replace(array_keys($PmFormPostPatterns), array_values($PmFormPostPatterns), $new);

	$users = BlogeAuthUserList($pagename);
	if (!empty($users) && !(preg_grep("/^$Author$/s", $users))) {
		$MessagesFmt[] = $BlogeAuthorReservedFmt;
		$EnablePost = 0;
	}
}
